## kservice 5.104.0

=== debian/changelog ===
kservice (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:14 +0000

kservice (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:45:03 +0000

kservice (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:36 +0000

kservice (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:22:14 +0000

kservice (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:16:34 +0000

kservice (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:50 +0000

=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: bison (>= 2:3.0~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               flex,
               libkf5config-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5crash-dev (>= 5.104.0~),
               libkf5dbusaddons-dev (>= 5.104.0~),
               libkf5doctools-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
Rules-Requires-Root: no

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5service5 (<= 5.15)
Replaces: libkf5service5 (<= 5.15)
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.104.0~),
         libkf5coreaddons-dev (>= 5.104.0~),
         libkf5dbusaddons-dev (>= 5.104.0~),
         libkf5i18n-dev (>= 5.104.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5service-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28),
        libkf5service5 (<< 5.12.0~),
        plasma-framework-dev (<< 5.28),
Replaces: libkf5service5 (<< 5.12.0~)
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

## kservice 5.109.0

=== debian/changelog ===
kservice (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:58 +0100

kservice (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:22:23 +0100

kservice (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:07:10 +0100

kservice (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:48:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
                flex,
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5crash-dev (>= 5.104.0~),
-               libkf5dbusaddons-dev (>= 5.104.0~),
-               libkf5doctools-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
+               libkf5config-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5crash-dev (>= 5.109.0~),
+               libkf5dbusaddons-dev (>= 5.109.0~),
+               libkf5doctools-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -52,10 +52,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.104.0~),
-         libkf5coreaddons-dev (>= 5.104.0~),
-         libkf5dbusaddons-dev (>= 5.104.0~),
-         libkf5i18n-dev (>= 5.104.0~),
+Depends: libkf5config-dev (>= 5.109.0~),
+         libkf5coreaddons-dev (>= 5.109.0~),
+         libkf5dbusaddons-dev (>= 5.109.0~),
+         libkf5i18n-dev (>= 5.109.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## kservice 5.110.0

=== debian/changelog ===
kservice (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:10:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                flex,
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5crash-dev (>= 5.109.0~),
-               libkf5dbusaddons-dev (>= 5.109.0~),
-               libkf5doctools-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5crash-dev (>= 5.110.0~),
+               libkf5dbusaddons-dev (>= 5.110.0~),
+               libkf5doctools-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -52,10 +52,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.109.0~),
-         libkf5coreaddons-dev (>= 5.109.0~),
-         libkf5dbusaddons-dev (>= 5.109.0~),
-         libkf5i18n-dev (>= 5.109.0~),
+Depends: libkf5config-dev (>= 5.110.0~),
+         libkf5coreaddons-dev (>= 5.110.0~),
+         libkf5dbusaddons-dev (>= 5.110.0~),
+         libkf5i18n-dev (>= 5.110.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## kservice 5.113.0

=== debian/changelog ===
kservice (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:45:13 +0000

kservice (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:50:08 +0000

kservice (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:59:50 +0000

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                flex,
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5crash-dev (>= 5.110.0~),
-               libkf5dbusaddons-dev (>= 5.110.0~),
-               libkf5doctools-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5crash-dev (>= 5.113.0~),
+               libkf5dbusaddons-dev (>= 5.113.0~),
+               libkf5doctools-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -52,10 +52,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.110.0~),
-         libkf5coreaddons-dev (>= 5.110.0~),
-         libkf5dbusaddons-dev (>= 5.110.0~),
-         libkf5i18n-dev (>= 5.110.0~),
+Depends: libkf5config-dev (>= 5.113.0~),
+         libkf5coreaddons-dev (>= 5.113.0~),
+         libkf5dbusaddons-dev (>= 5.113.0~),
+         libkf5i18n-dev (>= 5.113.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## kservice 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KService VERSION ${KF_VERSION})

# Disallow in-source build
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "KService requires an out of source build. Please create a separate build directory and run 'cmake path_to_kservice [options]' there.")
endif()

# ECM setup
include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KSERVICE
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kservice_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfigVersion.cmake"
                  SOVERSION 5)

set(APPLICATIONS_MENU_NAME applications.menu
    CACHE STRING "Name to install the applications.menu file as.")

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
if (NOT ANDROID)
  find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

find_package(KF5Config ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
if (NOT ANDROID)
  find_package(KF5DBusAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
endif()
find_package(KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION} CONFIG)

find_package(FLEX REQUIRED)
set_package_properties(FLEX PROPERTIES
    URL "http://flex.sourceforge.net"
    DESCRIPTION "Fast Lexical Analyzer"
    TYPE REQUIRED
    PURPOSE "Required for the Trader parser"
)

find_package(BISON 3.0 REQUIRED)
set_package_properties(BISON PROPERTIES
    URL "http://www.gnu.org/software/bison"
    DESCRIPTION "general-purpose parser generator"
    TYPE REQUIRED
    PURPOSE "Required for the Trader parser"
)

add_definitions(-DTRANSLATION_DOMAIN=\"kservice5\")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.97.0
    KCOREADDONS 5.78 # for KPluginInfo::dependencies
)

ki18n_install(po)

if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Service")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Service_QCH
        FILE KF5ServiceQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ServiceQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ServiceConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(EXPORT KF5ServiceTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ServiceTargets.cmake NAMESPACE KF5:: )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfigVersion.cmake"
              "${CMAKE_CURRENT_SOURCE_DIR}/KF5ServiceMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kservice_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KService COMPONENT Devel)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== docs/kbuildsycoca5/CMakeLists.txt ===
kdoctools_create_manpage(man-kbuildsycoca5.8.docbook 8 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
kservice (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:36:23 +0000

kservice (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:20:31 +0000

kservice (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:32:06 -0700

kservice (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:02:07 -0700

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
                flex,
-               libkf5config-dev (>= 5.113.0~),
-               libkf5coreaddons-dev (>= 5.113.0~),
-               libkf5crash-dev (>= 5.113.0~),
-               libkf5dbusaddons-dev (>= 5.113.0~),
-               libkf5doctools-dev (>= 5.113.0~),
-               libkf5i18n-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.115.0~),
+               libkf5coreaddons-dev (>= 5.115.0~),
+               libkf5crash-dev (>= 5.115.0~),
+               libkf5dbusaddons-dev (>= 5.115.0~),
+               libkf5doctools-dev (>= 5.115.0~),
+               libkf5i18n-dev (>= 5.115.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -52,10 +52,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.113.0~),
-         libkf5coreaddons-dev (>= 5.113.0~),
-         libkf5dbusaddons-dev (>= 5.113.0~),
-         libkf5i18n-dev (>= 5.113.0~),
+Depends: libkf5config-dev (>= 5.115.0~),
+         libkf5coreaddons-dev (>= 5.115.0~),
+         libkf5dbusaddons-dev (>= 5.115.0~),
+         libkf5i18n-dev (>= 5.115.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DAPPLICATIONS_MENU_NAME="kf5-applications.menu" -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kservice 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -11,7 +11,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kservice (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:42:00 +0200

kservice (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

  [ Aurélien COUDERC ]
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:14:47 +0200

kservice (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:02:28 +0100

kservice (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:40 +0200

kservice (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.104.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:58 +0100

=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               bison (>= 2:3.0~),
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               flex,
               libkf5config-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5dbusaddons-dev (>= 5.116.0~),
               libkf5doctools-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kservice
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kservice.git
Rules-Requires-Root: no

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: baloo-kf5 (<< 5.42),
        kded5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5emoticons-bin (<< 5.42),
        libkf5emoticons5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiocore5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiogui5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5notifyconfig5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.54),
        libkf5people5 (<< 5.54),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5runner5 (<< 5.54),
        libkf5service5 (<= 5.15),
        libkf5su5 (<< 5.54),
        libkf5texteditor5 (<< 5.42),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.54),
        libkf5xmlrpcclient5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kio (<< 5.54),
        qml-module-org-kde-runnermodel (<< 5.42),
Replaces: libkf5service5 (<= 5.15),
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.116.0~),
         libkf5coreaddons-dev (>= 5.116.0~),
         libkf5dbusaddons-dev (>= 5.116.0~),
         libkf5i18n-dev (>= 5.116.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5service-doc (= ${source:Version}),
Breaks: kded5-dev (<< 5.54),
        kio-dev (<< 5.28),
        libkf5emoticons-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        libkf5service5 (<< 5.12.0~),
        libkf5textwidgets-dev (<< 5.54),
        plasma-framework-dev (<< 5.28),
Replaces: libkf5service5 (<< 5.12.0~),
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5service-bin (= ${binary:Version}),
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
Breaks: baloo-kf5 (<< 5.42),
        kded5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5emoticons-bin (<< 5.42),
        libkf5emoticons5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiocore5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiogui5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5notifyconfig5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.54),
        libkf5people5 (<< 5.54),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5runner5 (<< 5.54),
        libkf5su5 (<< 5.54),
        libkf5texteditor5 (<< 5.42),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.54),
        libkf5xmlrpcclient5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kio (<< 5.54),
        qml-module-org-kde-runnermodel (<< 5.42),

## kservice 5.116.0+p24.04+vstable+git20250916.0149

=== debian/changelog ===
kservice (5.116.0+p24.04+vstable+git20250916.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 01:49:18 +0000

kservice (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:43:50 +1000

kservice (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:40:04 +0000

kservice (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:28:58 +0000

kservice (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:08:01 +0000

kservice (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:50:40 +0000

kservice (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 14:12:49 +0000

kservice (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:31:18 +0000

kservice (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Sep 2023 21:23:13 +0000

kservice (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:16:38 +0000

kservice (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:46:57 +0000

kservice (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:05:17 +0000

kservice (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:28:27 +0000

kservice (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:33:11 +0000

kservice (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:39:40 +0000

kservice (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:00:30 +0000

kservice (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:02:52 +0000

kservice (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:13:29 +0000

kservice (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:26:12 +0000

kservice (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:34:14 +0000

kservice (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:08:52 +0000

kservice (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:37:32 +0000

kservice (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:02:10 +0000

kservice (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:45:24 +0000

kservice (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jan 2022 20:49:30 +0000

kservice (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:28:55 +0000

kservice (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Nov 2021 11:16:07 +0000

kservice (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Oct 2021 21:45:06 +0000

kservice (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:11:30 +0000

kservice (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:33 +0000

kservice (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:28:27 +0000

kservice (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:10 +0000

kservice (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:27 +0000

kservice (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:19:08 +0000

kservice (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:21 +0000

kservice (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:26:18 +0000

kservice (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:07:28 +0000

kservice (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:32:35 +0000

kservice (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:42:38 +0000

kservice (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:31:44 +0000

kservice (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:26:29 +0000

kservice (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:43:34 +0000

kservice (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:56:55 +0000

kservice (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:43:11 +0000

kservice (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:21:14 +0000

kservice (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:23:16 +0000

kservice (5.67.0-0neon) bionic; urgency=medium

  * New release



## kservice 5.116.0+p24.04+vstable+git20251015.0859

=== debian/changelog ===
kservice (5.116.0+p24.04+vstable+git20251015.0859-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:59:31 +0000

=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               flex,
               graphviz,
               libkf5config-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5crash-dev (>= 5.51.0~),
               libkf5dbusaddons-dev (>= 5.51.0~),
               libkf5doctools-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kservice
Vcs-Git: https://invent.kde.org/neon/kde/kservice.git
Vcs-Browser: https://invent.kde.org/neon/kde/kservice
Maintainer: Neon CI <neon@kde.org>

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.42),
        kded5 (<< 5.51),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.51),
        kio (<< 5.51),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5emoticons-bin (<< 5.42),
        libkf5emoticons5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiocore5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiogui5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5notifyconfig5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.51),
        libkf5people5 (<< 5.51),
        libkf5peoplewidgets5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5runner5 (<< 5.51),
        libkf5service5 (<= 5.15),
        libkf5su5 (<< 5.51),
        libkf5texteditor5 (<< 5.42),
        libkf5textwidgets5 (<< 5.51),
        libkf5wallet-bin (<< 5.51),
        libkf5webkit5 (<< 5.51),
        libkf5xmlrpcclient5 (<< 5.42),
        plasma-framework (<< 5.51),
        qml-module-org-kde-kio (<< 5.51),
        qml-module-org-kde-runnermodel (<< 5.42)
Replaces: libkf5service5 (<= 5.15)
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.51.0~),
         libkf5coreaddons-dev (>= 5.51.0~),
         libkf5dbusaddons-dev (>= 5.51.0~),
         libkf5i18n-dev (>= 5.51.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5service-doc (= ${source:Version})
Breaks: kded5-dev (<< 5.51),
        kio-dev (<< 5.28),
        libkf5emoticons-dev (<< 5.51),
        libkf5kcmutils-dev (<< 5.51),
        libkf5kio-dev (<< 5.51),
        libkf5plasma-dev (<< 5.51),
        libkf5service-doc (<< 5.61.90-0),
        libkf5service5 (<< 5.12.0~),
        libkf5textwidgets-dev (<< 5.51),
        plasma-framework-dev (<< 5.28)
Replaces: libkf5service-doc (<< 5.61.90-0), libkf5service5 (<< 5.12.0~)
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
Breaks: baloo-kf5 (<< 5.42),
        kded5 (<< 5.51),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.51),
        kio (<< 5.51),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5emoticons-bin (<< 5.42),
        libkf5emoticons5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiocore5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiogui5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5notifyconfig5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.51),
        libkf5people5 (<< 5.51),
        libkf5peoplewidgets5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5runner5 (<< 5.51),
        libkf5su5 (<< 5.51),
        libkf5texteditor5 (<< 5.42),
        libkf5textwidgets5 (<< 5.51),
        libkf5wallet-bin (<< 5.51),
        libkf5webkit5 (<< 5.51),
        libkf5xmlrpcclient5 (<< 5.42),
        plasma-framework (<< 5.51),
        qml-module-org-kde-kio (<< 5.51),
        qml-module-org-kde-runnermodel (<< 5.42)

## kservice 5.116.0+p24.04+vstable+git20251019.0522

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})

=== debian/changelog ===
kservice (5.116.0+p24.04+vstable+git20251019.0522-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:23:07 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DAPPLICATIONS_MENU_NAME="kf5-applications.menu" -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5service5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kservice-([\d.]+)\.tar\.xz

## kservice 5.116.0+p24.04+vstable+git20251220.0155

=== debian/changelog ===
kservice (5.116.0+p24.04+vstable+git20251220.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 01:56:03 +0000

## kservice 5.116.0+p24.04+vstable+git20251224.0634

=== debian/changelog ===
kservice (5.116.0+p24.04+vstable+git20251224.0634-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:34:11 +0000

## kservice 5.116.0+p24.04+vstable+git20260113.0254

=== debian/changelog ===
kservice (5.116.0+p24.04+vstable+git20260113.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 02:55:05 +0000

## kservice 5.116.0+p24.04+vunstable+git20251015.1025

=== debian/changelog ===
kservice (5.116.0+p24.04+vunstable+git20251015.1025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:25:29 +0000

## kservice 5.116.0+p24.04+vunstable+git20251020.0242

=== debian/changelog ===
kservice (5.116.0+p24.04+vunstable+git20251020.0242-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:42:57 +0000

## kservice 5.116.0+p24.04+vunstable+git20251123.1050

=== debian/changelog ===
kservice (5.116.0+p24.04+vunstable+git20251123.1050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:51:05 +0000

## kservice 5.116.0+p24.04+vunstable+git20251224.0810

=== debian/changelog ===
kservice (5.116.0+p24.04+vunstable+git20251224.0810-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 08:10:50 +0000

## kservice 5.116.0+p24.04+vunstable+git20260122.0205

=== debian/changelog ===
kservice (5.116.0+p24.04+vunstable+git20260122.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:05:19 +0000
